Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: atrpms: users

yum update attempt to Mythtv25_rc156 results in broken dependancies

 

 

atrpms users RSS feed   Index | Next | Previous | View Threaded


boblfoot at gmail

Apr 12, 2012, 2:31 PM

Post #1 of 3 (501 views)
Permalink
yum update attempt to Mythtv25_rc156 results in broken dependancies

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Dear Team:
The following are my results on a working Production Bare Metal
system trying to move from mythtv-0.24-2.281 to mythtv25_rc156.
Command Given was yum update.

> Loaded plugins: auto-update-debuginfo, fastestmirror, kmdl,
> priorities, refresh- : packagekit Loading mirror speeds from cached
> hostfile * base: mirrors.gigenet.com * epel: ftp.osuosl.org *
> epel-debuginfo: ftp.osuosl.org * extras: ftp.osuosl.org * rpmforge:
> fr2.rpmfind.net * rpmfusion-free-updates: mirror.web-ster.com *
> rpmfusion-free-updates-debuginfo: mirror.web-ster.com *
> rpmfusion-free-updates-testing: mirror.web-ster.com *
> rpmfusion-free-updates-testing-debuginfo: mirror.web-ster.com *
> rpmfusion-nonfree-updates: mirror.web-ster.com *
> rpmfusion-nonfree-updates-debuginfo: mirror.web-ster.com *
> rpmfusion-nonfree-updates-testing: mirror.web-ster.com *
> rpmfusion-nonfree-updates-testing-debuginfo: mirror.web-ster.com *
> updates: yum.singlehop.com 2140 packages excluded due to repository
> priority protections Setting up Update Process Resolving
> Dependencies --> Running transaction check ---> Package
> libmythavcodec52.x86_64 0:0.24.2-281.el6 will be updated --->
> Package libmythavcodec52.x86_64
> 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be an update -->
> Processing Dependency: libdns_sd.so.1()(64bit) for package:
> libmythavcodec52-0.25-283_v0.25_rc_156_g02216ca.el6.x86_64 --->
> Package libmythavcore0.x86_64 0:0.24.2-281.el6 will be updated -->
> Processing Dependency: libmythavcore.so.0()(64bit) for package:
> libmythtv-0.24_0-0.24.2-281.el6.x86_64 ---> Package
> libmythavcore0.x86_64 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be
> an update ---> Package libmythavdevice52.x86_64 0:0.24.2-281.el6
> will be updated ---> Package libmythavdevice52.x86_64
> 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be an update ---> Package
> libmythavfilter1.x86_64 0:0.24.2-281.el6 will be updated --->
> Package libmythavfilter1.x86_64
> 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be an update ---> Package
> libmythavformat52.x86_64 0:0.24.2-281.el6 will be updated --->
> Package libmythavformat52.x86_64
> 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be an update ---> Package
> libmythavutil50.x86_64 0:0.24.2-281.el6 will be updated --->
> Package libmythavutil50.x86_64 0:0.25-283_v0.25_rc_156_g02216ca.el6
> will be an update ---> Package libmythpostproc51.x86_64
> 0:0.24.2-281.el6 will be updated ---> Package
> libmythpostproc51.x86_64 0:0.25-283_v0.25_rc_156_g02216ca.el6 will
> be an update ---> Package libmythswscale0.x86_64 0:0.24.2-281.el6
> will be updated ---> Package libmythswscale0.x86_64
> 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be an update ---> Package
> mytharchive.x86_64 0:0.24.2-281.el6 will be updated ---> Package
> mytharchive.x86_64 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be an
> update --> Processing Dependency: libmyth-0.25.so.0()(64bit) for
> package: mytharchive-0.25-283_v0.25_rc_156_g02216ca.el6.x86_64 -->
> Processing Dependency: libmythservicecontracts-0.25.so.0()(64bit)
> for package: mytharchive-0.25-283_v0.25_rc_156_g02216ca.el6.x86_64
> --> Processing Dependency: libmythui-0.25.so.0()(64bit) for
> package: mytharchive-0.25-283_v0.25_rc_156_g02216ca.el6.x86_64 -->
> Processing Dependency: libmythmetadata-0.25.so.0()(64bit) for
> package: mytharchive-0.25-283_v0.25_rc_156_g02216ca.el6.x86_64 -->
> Processing Dependency: libmythbase-0.25.so.0()(64bit) for package:
> mytharchive-0.25-283_v0.25_rc_156_g02216ca.el6.x86_64 -->
> Processing Dependency: libmythupnp-0.25.so.0()(64bit) for package:
> mytharchive-0.25-283_v0.25_rc_156_g02216ca.el6.x86_64 ---> Package
> mythbrowser.x86_64 0:0.24.2-281.el6 will be updated ---> Package
> mythbrowser.x86_64 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be an
> update --> Processing Dependency: libmythtv-0.25.so.0()(64bit) for
> package: mythbrowser-0.25-283_v0.25_rc_156_g02216ca.el6.x86_64 --->
> Package mythgallery.x86_64 0:0.24.2-281.el6 will be updated --->
> Package mythgallery.x86_64 0:0.25-283_v0.25_rc_156_g02216ca.el6
> will be an update ---> Package mythgame.x86_64 0:0.24.2-281.el6
> will be updated ---> Package mythgame.x86_64
> 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be an update ---> Package
> mythmusic.x86_64 0:0.24.2-281.el6 will be updated ---> Package
> mythmusic.x86_64 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be an
> update ---> Package mythnetvision.x86_64 0:0.24.2-281.el6 will be
> updated ---> Package mythnetvision.x86_64
> 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be an update ---> Package
> mythnews.x86_64 0:0.24.2-281.el6 will be updated ---> Package
> mythnews.x86_64 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be an
> update ---> Package mythplugins.x86_64 0:0.24.2-281.el6 will be
> updated ---> Package mythplugins.x86_64
> 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be an update ---> Package
> myththemes.noarch 0:0.24-177 will be obsoleted ---> Package
> mythtv.x86_64 0:0.24.2-281.el6 will be updated ---> Package
> mythtv.x86_64 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be
> obsoleting ---> Package mythtv-backend.x86_64 0:0.24.2-281.el6 will
> be updated ---> Package mythtv-backend.x86_64
> 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be an update -->
> Processing Dependency: libmythprotoserver-0.25.so.0()(64bit) for
> package: mythtv-backend-0.25-283_v0.25_rc_156_g02216ca.el6.x86_64
> --> Processing Dependency: libmythhdhomerun-0.25.so.0()(64bit) for
> package: mythtv-backend-0.25-283_v0.25_rc_156_g02216ca.el6.x86_64
> --> Processing Dependency: libmythlivemedia-0.25.so.0()(64bit) for
> package: mythtv-backend-0.25-283_v0.25_rc_156_g02216ca.el6.x86_64
> --> Processing Dependency: libmythfreemheg-0.25.so.0()(64bit) for
> package: mythtv-backend-0.25-283_v0.25_rc_156_g02216ca.el6.x86_64
> ---> Package mythtv-common.x86_64 0:0.24.2-281.el6 will be updated
> ---> Package mythtv-common.x86_64
> 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be an update ---> Package
> mythtv-debuginfo.x86_64 0:0.24.2-281.el6 will be updated --->
> Package mythtv-debuginfo.x86_64
> 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be an update ---> Package
> mythtv-docs.x86_64 0:0.24.2-281.el6 will be updated ---> Package
> mythtv-docs.x86_64 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be an
> update ---> Package mythtv-frontend.x86_64 0:0.24.2-281.el6 will be
> updated ---> Package mythtv-frontend.x86_64
> 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be obsoleting --->
> Package mythtv-setup.x86_64 0:0.24.2-281.el6 will be updated --->
> Package mythtv-setup.x86_64 0:0.25-283_v0.25_rc_156_g02216ca.el6
> will be an update ---> Package mythtv-themes.x86_64
> 0:0.24.2-281.el6 will be updated ---> Package mythtv-themes.x86_64
> 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be an update ---> Package
> mythvideo.x86_64 0:0.24.2-281.el6 will be obsoleted ---> Package
> mythweather.x86_64 0:0.24.2-281.el6 will be updated ---> Package
> mythweather.x86_64 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be an
> update ---> Package mythweb.noarch 0:0.24.2-267 will be updated
> ---> Package mythweb.noarch 0:0.25-272_v0.25_rc_3_g56e714f will be
> an update ---> Package mythzoneminder.x86_64 0:0.24.2-281.el6 will
> be updated ---> Package mythzoneminder.x86_64
> 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be an update ---> Package
> perl-MythTV.x86_64 0:0.24.2-281.el6 will be updated ---> Package
> perl-MythTV.x86_64 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be an
> update ---> Package python-MythTV.x86_64 0:0.24.2-281.el6 will be
> updated ---> Package python-MythTV.x86_64
> 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be an update --> Running
> transaction check ---> Package avahi-compat-libdns_sd.x86_64
> 0:0.6.25-11.el6 will be installed ---> Package
> libmyth-0.25_0.x86_64 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be
> installed ---> Package libmythavcore0.x86_64 0:0.24.2-281.el6 will
> be updated --> Processing Dependency: libmythavcore.so.0()(64bit)
> for package: libmythtv-0.24_0-0.24.2-281.el6.x86_64 ---> Package
> libmythbase-0.25_0.x86_64 0:0.25-283_v0.25_rc_156_g02216ca.el6 will
> be installed ---> Package libmythfreemheg-0.25_0.x86_64
> 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be installed ---> Package
> libmythhdhomerun-0.25_0.x86_64 0:0.25-283_v0.25_rc_156_g02216ca.el6
> will be installed ---> Package libmythlivemedia-0.25_0.x86_64
> 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be installed ---> Package
> libmythmetadata-0.25_0.x86_64 0:0.25-283_v0.25_rc_156_g02216ca.el6
> will be installed ---> Package libmythprotoserver-0.25_0.x86_64
> 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be installed ---> Package
> libmythservicecontracts-0.25_0.x86_64
> 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be installed ---> Package
> libmythtv-0.25_0.x86_64 0:0.25-283_v0.25_rc_156_g02216ca.el6 will
> be installed --> Processing Dependency: libva-glx.so.1()(64bit) for
> package:
> libmythtv-0.25_0-0.25-283_v0.25_rc_156_g02216ca.el6.x86_64 --->
> Package libmythui-0.25_0.x86_64
> 0:0.25-283_v0.25_rc_156_g02216ca.el6 will be installed ---> Package
> libmythupnp-0.25_0.x86_64 0:0.25-283_v0.25_rc_156_g02216ca.el6 will
> be installed --> Running transaction check ---> Package
> libmythavcore0.x86_64 0:0.24.2-281.el6 will be updated -->
> Processing Dependency: libmythavcore.so.0()(64bit) for package:
> libmythtv-0.24_0-0.24.2-281.el6.x86_64 ---> Package
> libva-glx1.x86_64 0:1.0.15-7.el6 will be installed --> Finished
> Dependency Resolution --> Finished Dependency Resolution Error:
> Package: libmythtv-0.24_0-0.24.2-281.el6.x86_64 (@atrpms) Requires:
> libmythavcore.so.0()(64bit) Removing:
> libmythavcore0-0.24.2-281.el6.x86_64 (@atrpms)
> libmythavcore.so.0()(64bit) Updated By:
> libmythavcore0-0.25-283_v0.25_rc_156_g02216ca.el6.x86_64
> (atrpms-testing) Not found Available:
> libmythavcore0-0.24.2-279.el6.x86_64 (atrpms)
> libmythavcore.so.0()(64bit) Available:
> libmythavcore0-0.24.2-280.el6.x86_64 (atrpms)
> libmythavcore.so.0()(64bit) Available:
> libmythavcore0-0.24.2-280.el6_bijou20120323.x86_64
> (atrpms-testing) libmythavcore.so.0()(64bit) You could try using
> --skip-broken to work around the problem You could try running: rpm
> -Va --nofiles --nodigest

Sincerely,
Bob Lightfoot
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.14 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBAgAGBQJPh0mnAAoJEKqgpLIhfz3X+NQIAL0in9G+gFFn0vYfIIa03JAd
a1fv1AtqcggnsqLvSK7Ph00EvJzWFk8NLzOm+WuJ9MR8nVuGIsVnX9Uof90pXn2x
RvU9UJyVXqbdL6phXxYHblx34AdGohntpOMeqTK2zU8azrFWv9ouWw0Bl+IrxOc0
Q8GJke707R7ViADaWIeukp0UXWtZNKkT9b2T6v98AyjD2OqVTvWVJqChkAS2o026
je42JoI5ZnzsmQgCHep7ip5ETJOCnd79qWqknFQ/i0pN02vmeHdIGTkaHJinxLdZ
4HPwEZ0+2KIx0LCS1GENn/Ll4g2GQvkiw+UIZ/8AVXQQSd1YGtBgrIyRHV4NI2s=
=bICo
-----END PGP SIGNATURE-----

_______________________________________________
atrpms-users mailing list
atrpms-users [at] atrpms
http://lists.atrpms.net/mailman/listinfo/atrpms-users


J.Pilk at tesco

Apr 12, 2012, 3:07 PM

Post #2 of 3 (457 views)
Permalink
Re: yum update attempt to Mythtv25_rc156 results in broken dependancies [In reply to]

On 12/04/12 22:31, Bob Lightfoot wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Dear Team:
> The following are my results on a working Production Bare Metal
> system trying to move from mythtv-0.24-2.281 to mythtv25_rc156.
> Command Given was yum update.
>

> Sincerely,
> Bob Lightfoot

Hi Bob: Now that both 0.24 and 0.25 packages are in the same repo
you'll need to be a bit more subtle about this. You will need to remove
the 0.24 packages and then install the 0.25 ones - and that applies to
the libmyth packages too. I'm afraid I don't know the best way of doing
this with yum, but that's what you should be aiming for.

Cheers

John P

_______________________________________________
atrpms-users mailing list
atrpms-users [at] atrpms
http://lists.atrpms.net/mailman/listinfo/atrpms-users


chriseverest at gmail

Apr 13, 2012, 2:46 PM

Post #3 of 3 (450 views)
Permalink
Re: yum update attempt to Mythtv25_rc156 results in broken dependancies [In reply to]

On Thu, Apr 12, 2012 at 6:07 PM, John Pilkington <J.Pilk [at] tesco> wrote:
> On 12/04/12 22:31, Bob Lightfoot wrote:
>>
>> -----BEGIN PGP SIGNED MESSAGE-----
>> Hash: SHA1
>>
>> Dear Team:
>>        The following are my results on a working Production Bare Metal
>> system trying to move from mythtv-0.24-2.281 to mythtv25_rc156.
>> Command Given was yum update.
>>
>
>> Sincerely,
>> Bob Lightfoot
>
>
> Hi Bob:  Now that both 0.24 and 0.25 packages are in the same repo you'll
> need to be a bit more subtle about this.  You will need to remove the 0.24
> packages and then install the 0.25 ones - and that applies to the libmyth
> packages too.  I'm afraid I don't know the best way of doing this with yum,
> but that's what you should be aiming for.

Bob, if you want to get the packages from Atrpms, you should also
disable the rpmfusion repos. Atrpms and rpmfusion repos together will
cause dep problems. And what John says is true... you need to 'yum
remove mythtv* libmyth*' then reinstall using 'yum install mythtv-*'
or whatever packages you want.



--
Chris Everest

_______________________________________________
atrpms-users mailing list
atrpms-users [at] atrpms
http://lists.atrpms.net/mailman/listinfo/atrpms-users

atrpms users RSS feed   Index | Next | Previous | View Threaded
 
 


Interested in having your list archived? Contact Gossamer Threads
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.